<?php
//
Atualizar_ECook();
//
//
//
Function Atualizar_ECook() {
  Global $aSessao, $sRet_Javs, $R_Acesso;
  $sCaminhoTemp = GETCWD().'/atualizacao_tmp';
  $sU_Infor_Arq = $sCaminhoTemp.'/data_update.json';
  $sUStatus_Arq = 'atualizacao_tmp/data_status.json';
  // : Verifica se há novas atualizações
  If ( EMPTY($aSessao['Atualizar_ECook']) ) { Return; }
  if ( file_exists($sUStatus_Arq) ) {
     $nDataHora_Arq = filemtime($sUStatus_Arq);
     If ( $nDataHora_Arq < (TIME() - (60*60)) ) {
        UNLINK($sUStatus_Arq);
     } Else {
        return;
     }
  }
  // : Cria os diretórios de trabalho
  If ( ! IS_DIR($sCaminhoTemp) ) {  MKDIR( $sCaminhoTemp );  }
  $sCaminho_Bkp = $sCaminhoTemp.'/backup_ECook';
  If ( ! IS_DIR($sCaminho_Bkp) ) {  MKDIR( $sCaminho_Bkp );  }
  // : Efetua backup de arquivos php
  //COPY("./index.php" , $sCaminho_Bkp."/ECook_index.php" );
  COPY("./config.inc", $sCaminho_Bkp."/ECook_config.inc");
  // : Gera arquivo de informação á respeito da atualização
  $aDados_Atu = $aSessao['Atualizar_ECook'];
  $aDados_Atu['VERSAO_ANTERIOR'] = Aplicativo_Versao;
  $aDados_Atu['NOME_DA_BASE']    = $R_Acesso->ACS_NOMEBD;
  $aDados_Atu['Simdesk_Comm']    = $aSessao['Simdesk_Comm'];
  $sDados_Atu = JSON_ENCODE($aDados_Atu);
  $hArquivo = FOPEN( $sU_Infor_Arq ,"w" );
  FWRITE( $hArquivo, $sDados_Atu );
  FCLOSE( $hArquivo );
  // : Substitui o arquivo PHP principal de inicialização
  COPY( dirname(__FILE__)."/novo_index.inc", "./index2.php" );
  //
  $sRet_Javs .= "parent.parent.location.href = './index2.php';";
  //
  UNSET( $aSessao['Atualizar_ECook'] );
  //
}
//
//
//
?>